<?xml version="1.0"  encoding ="UTF-8" ?>
<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:inr="http://mycompany.com/mynamespace">
	
	<xsl:include href="../format.xsl"/>
	<!--<xsl:param name="xslRootDirectory" select="inr:xslRootDirectory"/>-->
	<xsl:variable name="uniqueClearanceAlignments" select="//ClearancePoints/ClearancePoint[not(@clearanceAlignmentName = preceding-sibling::ClearancePoint/@clearanceAlignmentName )]/@clearanceAlignmentName "/>
	<!-- Minimum Clearance Report -->
	
	<xsl:output method="text" media-type="text/plain" encoding="iso-8859-1"/>
	
	<xsl:template match="//ClearancePoints">
        <xsl:for-each select="ClearancePoint">
			<!-- <xsl:sort select="@firstOffset" data-type="number" /> -->
			<xsl:sort select="centerLinePoint/point/station/@externalStation" data-type="number"/>
			<!--<xsl:sort select="@firstOffset" data-type="number" /> -->
			<!-- <xsl:if test="position() = 1"> -->
			<!-- <xsl:if test="position() = last()"> -->
			<xsl:if test="@projectsToAlignment='true'">
				<xsl:value-of select="inr:stationFormat(number(centerLinePoint/point/station/@externalStation), $xslStationFormat, $xslStationPrecision, string(centerLinePoint/point/station/@externalStationName))"/>
				<xsl:text>;</xsl:text>
				<xsl:choose>
					<xsl:when test="@firstOffset &gt; 0">
						<xsl:value-of select="inr:distanceFormat(number(@firstOffset), 2)"/>
						<xsl:text> RT ;</xsl:text>
					</xsl:when>
					<xsl:when test="@firstOffset &lt; 0">
						<xsl:value-of select="inr:distanceFormat(number(@firstOffset *-1), 2)"/>
						<xsl:text> LT ;</xsl:text>
					</xsl:when>
				</xsl:choose>
				<xsl:value-of select="inr:northingFormat(number(offsetPoint/@northing), $xslNorthingPrecision)"/>
				<xsl:text>;</xsl:text>
				<xsl:value-of select="inr:eastingFormat(number(offsetPoint/@easting), $xslEastingPrecision)"/>
				<xsl:text>;</xsl:text>
				<xsl:value-of select="@objectDescription"/>
				<xsl:text>;</xsl:text>
				<!--<xsl:value-of select="@objectStyle"/>-->
				<xsl:text>&#xd;</xsl:text>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>