<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2006 sp2 U (http://www.altova.com) by Project Developement (State of Maine) -->
<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:inr="http://mycompany.com/mynamespace">
	<xsl:include href="../format.xsl"/>
	<!--<xsl:param name="xslRootDirectory" select="inr:xslRootDirectory"/>-->
	<xsl:variable name="uniqueClearanceAlignments" select="//ClearancePoints/ClearancePoint[not(@clearanceAlignmentName = preceding-sibling::ClearancePoint/@clearanceAlignmentName )]/@clearanceAlignmentName "/>
	<!-- Minimum Clearance Report -->
	<xsl:output method="text" media-type="text/plain" encoding="iso-8859-1"/>
	<xsl:template match="/">
		<xsl:variable name="gridOut" select="inr:SetGridOut(number(InRoads/@outputGridScaleFactor))"/>
		<xsl:choose>
			<xsl:when test="$xslShowHelp = 'true'">
				<xsl:call-template name="StyleSheetHelp"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:for-each select="InRoads">
					<!-- Project Data -->
					<xsl:for-each select="GeometryProject">
						<!-- Clearance Point Data -->
						<xsl:for-each select="$uniqueClearanceAlignments">
							
							<xsl:for-each select="//ClearancePoint[@clearanceAlignmentName = current() and @firstOffset &lt; 0 ]">
								<xsl:sort select="@firstOffset" data-type="number"/>
								<xsl:if test="position() = last()">
									<xsl:value-of select="inr:stationFormat(number(centerLinePoint/point/station/@externalStation), $xslStationFormat, $xslStationPrecision, string(centerLinePoint/point/station/@externalStationName))"/>
									<xsl:text>;</xsl:text>
									<!-- Changes ($xslDistancePrecision) to a specified decimal seperate from the xin value of 4-->
									<!-- Changes   (@firstOffset *-1) *-1 changes the negative value to positive  -->
									<xsl:value-of select="inr:distanceFormat(number(@firstOffset *-1), 2)"/>
									<xsl:text> LT ;</xsl:text>	
									<xsl:value-of select="inr:northingFormat(number(offsetPoint/@northing), $xslNorthingPrecision)"/>
									<xsl:text>;</xsl:text>
                                    <xsl:value-of select="inr:eastingFormat(number(offsetPoint/@easting), $xslEastingPrecision)"/>
									<xsl:text>;</xsl:text>
									<xsl:value-of select="@clearanceAlignmentName"/>
									<xsl:text>;</xsl:text>
									<!--<xsl:value-of select="@objectStyle"/>-->
									<xsl:text>&#xd;</xsl:text>
								</xsl:if>
							</xsl:for-each>
							<xsl:for-each select="//ClearancePoint[@clearanceAlignmentName = current() and @firstOffset &gt; 0]">
								<xsl:sort select="@firstOffset" data-type="number"/>
								<xsl:if test="position() = last()">
									<!-- <xsl:if test="position() = 1">-->
									<xsl:value-of select="inr:stationFormat(number(centerLinePoint/point/station/@externalStation), $xslStationFormat, $xslStationPrecision, string(centerLinePoint/point/station/@externalStationName))"/>
									<xsl:text>;</xsl:text>
									<xsl:value-of select="inr:distanceFormat(number(@firstOffset), 2)"/>
									<xsl:text> RT ;</xsl:text>
									<xsl:value-of select="inr:northingFormat(number(offsetPoint/@northing), $xslNorthingPrecision)"/>
									<xsl:text>;</xsl:text>
									<xsl:value-of select="inr:eastingFormat(number(offsetPoint/@easting), $xslEastingPrecision)"/>
									<xsl:text>;</xsl:text>
									<xsl:value-of select="@clearanceAlignmentName"/>
									<xsl:text>;</xsl:text>
									<!--<xsl:value-of select="@objectStyle"/>-->
									<xsl:text>&#xd;</xsl:text>
								</xsl:if>
							</xsl:for-each>
						</xsl:for-each>
					</xsl:for-each>
				</xsl:for-each>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="StyleSheetHelp">
		<div class="section1">
			<h4 lang="en">Notes</h4>
			<p class="normal1" lang="en">
                You must create clearance points for this report by selecting <em>Tools &gt; XML Reports 
                &gt; Clearance</em>.
            </p>
			<p class="normal1" lang="en">
                You must include at least one horizontal alignment or feature on the <em>General</em> leaf 
                in the <em>From</em> fields.
            </p>
			<p class="normal1" lang="en">
                You must also include at least one horizontal alignment on the <em>Horizontal Alignments
                </em> leaf or one cogo point on the <em>Cogo Points</em> leaf or one feature on the <em>
                Features</em> leaf.
            </p>
			<p class="small" lang="en">
				<em>&#xa9; 2006 Bentley Systems, Inc</em>
			</p>
		</div>
	</xsl:template>
</xsl:stylesheet>
