<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:inr="http://mycompany.com/mynamespace">
   <xsl:include href="../format.xsl"/>
     <xsl:output method="text" media-type="text/plain" encoding="iso-8859-1"/>
	<xsl:template match="/">
	  <xsl:choose>
	     <xsl:when test="$xslShowHelp = 'true'">
		<xsl:call-template name="StyleSheetHelp"/>
		   </xsl:when>
		     <xsl:otherwise>
			<xsl:for-each select="InRoads/SurveyFieldbook">
			   <xsl:for-each select="SurveyPointList">
			      <xsl:for-each select="SurveyPoint">
				<xsl:sort select="@name"/>
                                   <xsl:text>&#xd;</xsl:text>	
                                      <xsl:choose>
                                        <xsl:when test="substring(@code,1,4) = 'CHEK'">
					<xsl:value-of select="inr:columnFormat(string(@name))"/>
														
					<xsl:value-of select="@code"/>
														
				<xsl:value-of select="inr:columnFormat(string(inr:eastingFormat(number(@easting), $xslEastingPrecision)))"/>
														
				<xsl:value-of select="inr:columnFormat(string(inr:northingFormat(number(@northing), $xslNorthingPrecision)))"/>
														
				<xsl:value-of select="inr:columnFormat(string(inr:elevationFormat(number(@elevation), $xslElevationPrecision)))"/>

				<xsl:for-each select="Notes">
															
				<xsl:value-of select="@note"/>
															
				</xsl:for-each>
													
				</xsl:when>
				<xsl:otherwise>
												
				<xsl:if test="not(@name = following::SurveyPoint/@name)">
													
				<xsl:value-of select="inr:columnFormat(string(@name), 15 )"/>
													
				<xsl:value-of select="@code"/>
													
				<xsl:value-of select="inr:columnFormat(string(inr:eastingFormat(number(@easting), $xslEastingPrecision)),14)"/>
													
				<xsl:value-of select="inr:columnFormat(string(inr:northingFormat(number(@northing), $xslNorthingPrecision)),14)"/>
													
				<xsl:value-of select="inr:columnFormat(string(inr:elevationFormat(number(@elevation), $xslElevationPrecision)),14)"/>
													
				<xsl:for-each select="Notes">
														
				<xsl:value-of select="@note"/>
														
			</xsl:for-each>
			</xsl:if>
												
			</xsl:otherwise>
			</xsl:choose>
		      </xsl:for-each>
		     </xsl:for-each>
							
		   </xsl:for-each>
					
	      </xsl:otherwise>
	   </xsl:choose>
	</xsl:template>
	<xsl:template name="StyleSheetHelp">
		<xsl:text>&#xd;</xsl:text>
		<xsl:text>Notes &#xd;&#xd;</xsl:text>
		<xsl:text>    You must select at least one fieldbook in the Survey &#xd;</xsl:text>
		<xsl:text>    XML Report command to get results from this report.&#xd;&#xd;</xsl:text>
		<xsl:text>    We recommend the use of a Survey Style Filter to &#xd;</xsl:text>
		<xsl:text>    restrict the list to traverse (and other reference) &#xd;</xsl:text>
		<xsl:text>    points and CHEK shots to be compared.&#xd;&#xd;</xsl:text>
		<xsl:text>This XSL Style Sheet created by Dennis Folsom, Maine DOT&#xd;</xsl:text>
	</xsl:template>
</xsl:stylesheet>
